LOCAL_PATH := $(call my-dir)

L_CFLAGS += -D_FORTIFY_SOURCE=2 -DHAVE_CONFIG_H -DGXP22XX 

INCLUDES = $(LOCAL_PATH)
INCLUDES += $(LOCAL_PATH)/src
INCLUDES += external/libxml2/include
INCLUDES += external/icu4c/common
INCLUDES += bionic/libc/private

LLDPDCTL_SRC =\
	src/lldpctl.c\
	src/display.c\
	src/text_writer.c\
	src/kv_writer.c\
	src/xml_writer.c\
	src/log.c\
	src/ctl.c
LLDPD_SRC =\
	src/main.c\
	src/frame.c\
	src/lldpd.c\
	src/lldp.c\
	src/cdp.c\
	src/sonmp.c\
	src/edp.c\
	src/interfaces.c\
	src/client.c\
	src/priv.c\
	src/privsep_fdpass.c\
	src/dmi.c\
	src/ctl-server.c\
	src/log.c\
	src/ctl.c\
	src/getifaddrs.c\
	src/nvram_mod.c
##################################
include $(CLEAR_VARS)
LOCAL_MODULE := med_location.sh
LOCAL_MODULE_TAGS := eng
LOCAL_MODULE_CLASS := ETC
LOCAL_MODULE_PATH := $(TARGET_OUT)/etc/lldpd
LOCAL_SRC_FILES := etc/med_location.sh
include $(BUILD_PREBUILT)
##################################
include $(CLEAR_VARS)
LOCAL_MODULE := med_policy.sh
LOCAL_MODULE_TAGS := eng
LOCAL_MODULE_CLASS := ETC
LOCAL_MODULE_PATH := $(TARGET_OUT)/etc/lldpd
LOCAL_SRC_FILES := etc/med_policy.sh
include $(BUILD_PREBUILT)
##################################
include $(CLEAR_VARS)
LOCAL_MODULE := lldpctl.sh
LOCAL_MODULE_TAGS := eng
LOCAL_MODULE_CLASS := ETC
LOCAL_MODULE_PATH := $(TARGET_OUT)/etc/lldpd
LOCAL_SRC_FILES := etc/lldpctl.sh
include $(BUILD_PREBUILT)
##################################
include $(CLEAR_VARS)
LOCAL_MODULE := start_lldpd.sh
LOCAL_MODULE_TAGS := eng
LOCAL_MODULE_CLASS := ETC
LOCAL_MODULE_PATH := $(TARGET_OUT_EXECUTABLES)
LOCAL_SRC_FILES := etc/start_lldpd.sh
include $(BUILD_PREBUILT)
##################################
include $(CLEAR_VARS)
LOCAL_MODULE := lldpctl
LOCAL_MODULE_TAGS := eng
LOCAL_STATIC_LIBRARIES :=
LOCAL_SHARED_LIBRARIES := liblog
LOCAL_CFLAGS := $(L_CFLAGS)
LOCAL_SRC_FILES := $(LLDPDCTL_SRC)
LOCAL_C_INCLUDES := $(INCLUDES)
include $(BUILD_EXECUTABLE)
##################################
include $(CLEAR_VARS)
LOCAL_MODULE := lldpd
LOCAL_MODULE_TAGS := eng
LOCAL_STATIC_LIBRARIES := 
LOCAL_SHARED_LIBRARIES := libc libm libdl liblog
LOCAL_CFLAGS := $(L_CFLAGS)
LOCAL_SRC_FILES := $(LLDPD_SRC)
LOCAL_C_INCLUDES := $(INCLUDES)
include $(BUILD_EXECUTABLE)
