ifneq ($(TARGET_SIMULATOR),true)

LOCAL_PATH:= $(call my-dir)

#VERSION=3.10
include $(CLEAR_VARS)
LOCAL_SRC_FILES := src/pppoe.c \
					src/if.c \
					src/debug.c \
					src/common.c \
					src/ppp.c \
					src/discovery.c

LOCAL_MODULE_PATH := $(TARGET_OUT_OPTIONAL_EXECUTABLES)
LOCAL_MODULE_TAGS := eng
LOCAL_MODULE := pppoe
LOCAL_C_INCLUDES += $(LOCAL_PATH)/src
LOCAL_C_INCLUDES += $(LOCAL_PATH)/src/libeventi
LOCAL_CFLAGS += -DVERSION="3.10"
LOCAL_SHARED_LIBRARIES += libnvram libc

include $(BUILD_EXECUTABLE)

include $(CLEAR_VARS)
LOCAL_MODULE := start_pppoe.sh
LOCAL_MODULE_TAGS := eng 
LOCAL_MODULE_PATH := $(TARGET_OUT_OPTIONAL_EXECUTABLES)
LOCAL_MODULE_CLASS :=ETC
LOCAL_SRC_FILES := src/start_pppoe.sh
include $(BUILD_PREBUILT)

include $(CLEAR_VARS)
LOCAL_MODULE := stop_pppoe.sh
LOCAL_MODULE_TAGS := eng 
LOCAL_MODULE_PATH := $(TARGET_OUT_OPTIONAL_EXECUTABLES)
LOCAL_MODULE_CLASS :=ETC
LOCAL_SRC_FILES := src/stop_pppoe.sh
include $(BUILD_PREBUILT)

endif  # TARGET_SIMULATOR != true

include $(call all-makefiles-under,$(LOCAL_PATH))
