# Makefile to build wget for Android
LOCAL_PATH := $(call my-dir)

include $(CLEAR_VARS)

LOCAL_MODULE    := wget
LOCAL_SRC_FILES := alloca.c clock_getres.c cmpt.c connect.c convert.c cookies.c ftp-basic.c ftp.c ftp-ls.c ftp-opie.c gen-md5.c getopt.c gnu-md5.c hash.c host.c html-parse.c html-url.c http.c http-ntlm.c init.c log.c main.c netrc.c openssl.c progress.c ptimer.c recur.c res.c retr.c safe-ctype.c  url.c utils.c version.c xmalloc.c 

LOCAL_SHARED_LIBRARIES := \
    libcutils \
    libcrypto \
    libssl
#LOCAL_CFLAGS := -DANDROID_CHANGES -DHAVE_CONFIG_H -Iexternal/openssl/include
LOCAL_CFLAGS := -Iexternal/openssl/include -DWGET_USE_STDARG

LOCAL_MODULE_TAGS := eng 
LOCAL_MODULE_PATH := $(TARGET_OUT_OPTIONAL_EXECUTABLES)
include $(BUILD_EXECUTABLE)
