extern unsigned char *des3_encrypt_passwd(const unsigned char *passwd, 
	unsigned int *passwd_len, symmetric_key *skey);

unsigned char *des3_decrypt_passwd(const unsigned char *passwd, 
		unsigned int passwd_len, symmetric_key *skey);

extern int check_user(const char *path, const char *usr);
		
unsigned char *get_passwd_from_file(const char *path, const char *usr, symmetric_key *skey);

extern int append_write(const char *path, const char *usr, unsigned char *passwd);

extern int write_old_pos(const char *path, const char *usr, unsigned char *passwd);

extern int store_passwd_to_file(const char *path, const char *usr, 
		unsigned char *passwd, int is_new, symmetric_key *skey);

extern int del_user(const char *path, const char *usr);

extern int check_passwd(const char *usr, char *prompt, symmetric_key *skey);

extern unsigned char *get_new_passwd(const char *usr, char *prompt);


